For the complete documentation index, see llms.txt. This page is also available as Markdown.

EnvironmentVariables

List Environment Variables

get
Authorizations
AuthorizationstringRequired

Enter your bearer token in the format Bearer <token>

Query parameters
PageNumberinteger · int32Optional

Current page number. Default value is 1.

PageSizeinteger · int32Optional

Maximum page size is 200. Default page size is 30.

environmentVariableNamestringOptional

Name of the Environment Variable(s)

Responses
200

OK

application/json
get/api/v1/environment-variables
200

OK

Add Environment Variable

post
Authorizations
AuthorizationstringRequired

Enter your bearer token in the format Bearer <token>

Body
namestringOptional
Responses
201

Successful request

Responseinteger · int64
post/api/v1/environment-variables
201

Successful request

Get an Environment Variable

get
Authorizations
AuthorizationstringRequired

Enter your bearer token in the format Bearer <token>

Path parameters
idinteger · int64Required

Id of the Environment Variable

Responses
200

Successful request

application/json
get/api/v1/environment-variables/{id}

Create child Environment Variable

post
Authorizations
AuthorizationstringRequired

Enter your bearer token in the format Bearer <token>

Path parameters
rootSchemaIdinteger · int64Required

Id of the parent Environment Variable schema.

Body
namestringOptional
typestring · enumOptionalPossible values:
Responses
201

Child Environment Variable created successfully.

text/plain
Responseinteger · int64
post/api/v1/environment-variables/{rootSchemaId}

Delete Environment Variable

delete
Authorizations
AuthorizationstringRequired

Enter your bearer token in the format Bearer <token>

Path parameters
schemaIdinteger · int64Required
Responses
204

Environment Variable deleted successfully.

No content

delete/api/v1/environment-variables/{schemaId}

No content

Update the description of an Environment Variable.

patch
Authorizations
AuthorizationstringRequired

Enter your bearer token in the format Bearer <token>

Path parameters
schemaIdinteger · int64Required

Identifier of the Environment Variable being updated.

Body

New description.

descriptionstring · min: 1Optional
Responses
204

Environment Variable description updated successfully.

No content

patch/api/v1/environment-variables/{schemaId}

No content

Update Environment Variable

put
Authorizations
AuthorizationstringRequired

Enter your bearer token in the format Bearer <token>

Path parameters
schemaIdinteger · int64Required

Identifier of the Environment Variable being updated.

environmentIdinteger · int64Required

Identifier of the Environment being updated.

Bodyobject[]
object[]Optional
Responses
204

Environment Variable updated successfully.

No content

put/api/v1/environment-variables/{schemaId}/values/{environmentId}

No content

Last updated

Was this helpful?